Part Prism: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 48: Line 48:
# Set options and press {{Button|Create}}.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.
# To close the dialog press {{Button|Close}}.

==Notes==


== Properties == <!--T:4-->
== Properties == <!--T:4-->

Revision as of 19:43, 19 February 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Prism

Menu location
Part → Create primitives → Prism
Workbenches
Part
Default shortcut
None
Introduced in version
0.14
See also
Part Primitives, Part Box/Cube

Description

The Part Prism command creates a parametric prism solid.

Screenshot of a Part Prism

FreeCAD creates a uniform hexagonal prism with a six-side polygon of equal edge length base with a circumradius of 2 millimetre and a height of 10 millimetre.

By default, the prism is positioned with the center of the base polygon at the origin (0,0,0). The bottom of the prism is on the xy-plane. Its extension in z-direction follows the positive axis value.

Example

A Part Prism object with the values of the bottom scripting example are shown here.

Part Prism with the values of the scripting example

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Prism option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Properties

See also: Property editor.

A Part Prism object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Prism

  • DataPolygon (Integer): The number of edges for the polygon that forms the base and top plane of the prism.
  • DataCircumradius (Length): The distance from the center of the polygon to the prism edges.
  • DataHeight (Length): The height is the distance in the z-axis.
  • DataFirst Angle (Angle): Angle in first direction. introduced in version 0.19
  • DataSecond Angle (Angle): Angle in second direction. introduced in version 0.19

Limitations

Scripting

A Part Prism is created with the addObject() method of the document.

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where myPrism is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

prism.Label = "new myPrismName"

You can access and modify attributes of the prism object. For example, you may wish to modify the number of sides of the base polygon, the circumferential radius or one of the two angles.

prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45

The result will be a new prism with the given attributes.

You can change its placement and orientation with:

prism.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(60, 75, 30))